import java.time.*;
public class Student{
  private int id; //学号
  private String name;  //姓名
  private char gender;  //性别
  private LocalDate birthday;  //出生日期
  private LocalDate startday;  //入学日期
  private boolean isPartyMember;  //是否党员
  private String address;  //家庭住址
  private int phone;  //联系电话

  public Student(){}   
  
  public Student(int id,String name,char gender,LocalDate birthday,LocalDate startday,boolean isPartMember,String address,int phone){
    this.id=id;
    this.name=name;
    this.gender=gender;
    this.birthday=birthday;
    this.startday=startday;
    this.isPartyMember=isPartyMember;
    this.address=address;
    this.phone=phone; 
  }

  public void setId(int id){this.id=id;}
  public int getId(){return id;}

  public void setName(String name){this.name=name;}
  public String getName(){return name;}

  public void setGender(char gender){this.gender=gender;}
  public char getGender(){return gender;}

  public void setBirthday(LocalDate birthday){this.birthday=birthday;}
  public LocalDate getBirthday(){return birthday;}


  public void setStartday(LocalDate startday){this.startday=startday;}
  public LocalDate getStartday(){return startday;}

  public void setIsPartyMember(boolean isPartyMember){this.isPartyMember=isPartyMember;}
  public boolean getIsPartyMember(){return isPartyMember;}

  public void setAddress(String address){this.address=address;}
  public String getAddress(){return address;}

  public void setPhone(int phone){this.phone=phone;}
  public int getPhone(){return phone;}  
  
  public void printInfo(){
    System.out.println("ID:"+id
                       +"\n姓名:"+name 
                       +"\n性别:"+gender
                       +"\n出生日期:"+birthday
                       +"\n入学日期:"+startday
                       +"\n是否党员:"+isPartyMember
                       +"\n家庭住址:"+address
                       +"\n电话:"+phone);
  }

  public static void main(String args[]){
    Student student =new Student(222,"马小跳",'M',LocalDate.of(2000,Month.JANUARY,1),LocalDate.of(2007,Month.SEPTEMBER,1),false,"快乐街1000号",66668888);
    student.printInfo(); 
  }

}